import { Object3D } from "three";
import { VRM, VRMHumanBoneName } from "@pixiv/three-vrm";
export default class VRMIKHandler {
    model: VRM;
    private static cache;
    static get(model: VRM): VRMIKHandler;
    private targets;
    private iks;
    private bones;
    private root;
    private constructor();
    getAndEnableIK(boneName: VRMHumanBoneName): Object3D<import("three").Object3DEventMap> | undefined;
    getTarget(boneName: VRMHumanBoneName, enable?: boolean): Object3D<import("three").Object3DEventMap> | undefined;
    disableAll(): void;
    update(): void;
}
